MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003268ATutorTests/Surveyspublic2007-12-23 22:352008-11-14 08:23
ReporterIndieRect 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6 
Target VersionFixed in Version1.6.2 
Summary0003268: Test anonymity can be undone
DescriptionATutor version: 1.6 beta 2.

Instructor can anytime switch test from anonymous to non-anonymous, and the past submission authors will be revealed.
I believe something should be done here when time permits (or as a small student task again).

See also: http://www.atutor.ca/atutor/mantis/view.php?id=3208 [^] .
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002712)
harris (developer)
2008-01-07 11:48

changes has to be done upon individual submission
(0002725)
harris (developer)
2008-01-09 09:17

If anonymous, save userid to -1 or something.

This will affect statistic
(0002726)
harris (developer)
2008-01-09 09:18

Another way would be to allow switching before any submissions other than myself.

Once there are other submissions, instructor can no longer switch it back to non-anonymous.
(0002729)
IndieRect (reporter)
2008-01-10 01:05

I believe the first idea was better. :)

Making some action irreversible is the last resort. I'd suggest adding an additional table field.
(0002789)
harris (developer)
2008-02-04 05:14

Is there a reason why a test will be switched back to non-anonymous after submissions?
(0002790)
harris (developer)
2008-02-04 07:05

Temporary fix for this issue before 1.6.1

Disabled the ability to modify the Anonymous option when submission has been made.
Added this change to the Handbook.

Will allow the flexibility of modifying anonymous tests, and maintaining the anonymous identity at the same time by altering the database's table(s) in later version.



7268,7269
(0003146)
IndieRect (reporter)
2008-08-21 22:28

"Disabled the ability to modify the Anonymous option when submission has been made."

Doesn't appear to be working in 161pl1.
Tests still can be switched to non-anonymous even when there're submissions.
(0003228)
harris (developer)
2008-10-10 10:38

Fixed in 8039

Orig: from 7270

- Issue History
Date Modified Username Field Change
2007-12-23 22:35 IndieRect New Issue
2007-12-23 22:35 IndieRect Affects version => SVN
2008-01-07 11:48 harris Note Added: 0002712
2008-01-09 09:17 harris Note Added: 0002725
2008-01-09 09:18 harris Note Added: 0002726
2008-01-10 01:05 IndieRect Note Added: 0002729
2008-02-04 05:14 harris Note Added: 0002789
2008-02-04 06:52 harris Status new => assigned
2008-02-04 06:52 harris Assigned To => harris
2008-02-04 07:05 harris Status assigned => resolved
2008-02-04 07:05 harris Fixed in Version => 1.6
2008-02-04 07:05 harris Resolution open => fixed
2008-02-04 07:05 harris Note Added: 0002790
2008-08-21 09:34 greg Status resolved => closed
2008-08-21 22:28 IndieRect Status closed => feedback
2008-08-21 22:28 IndieRect Resolution fixed => reopened
2008-08-21 22:28 IndieRect Note Added: 0003146
2008-10-10 10:37 harris Status feedback => assigned
2008-10-10 10:38 harris Status assigned => resolved
2008-10-10 10:38 harris Fixed in Version 1.6 => 1.6.2
2008-10-10 10:38 harris Resolution reopened => fixed
2008-10-10 10:38 harris Note Added: 0003228
2008-11-14 08:23 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker